Inventory Count
The inventory count resource.
Base/inventoryCount
GET
/inventoryCountList inventory counts
Retrieve a paginated list of inventory counts. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/inventoryCount
curl --request GET \
--url '<your-host>/inventoryCount?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"locationId": "xyz789",
"status": "string",
"isBlind": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/inventoryCountRetrieve a inventory count
Fetch a single inventory count by filtering on `id`.
Query parameters
idstringMatch on the inventory count's `id`, e.g. `eq.{id}`.
GET/inventoryCount
curl --request GET \
--url '<your-host>/inventoryCount?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"locationId": "xyz789",
"status": "string",
"isBlind": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/inventoryCountCreate a inventory count
Create a new inventory count.
Body parameters
inventoryCountIdstringrequiredlocationIdstringrequiredReferences location.id
statusinventoryCountStatusrequiredisBlindbooleanrequiredscopeobjectsnapshotAttimestampnotesstringpostedBystringReferences user.id
postedAttimestampcustomFieldsobjectPOST/inventoryCount
curl --request POST \
--url <your-host>/inventoryCount \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"inventoryCountId":"xyz789","locationId":"xyz789","status":"string","isBlind":true}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"locationId": "xyz789",
"status": "string",
"isBlind": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/inventoryCountUpdate a inventory count
Update an existing inventory count, matched on `id`.
Body parameters
inventoryCountIdstringrequiredlocationIdstringrequiredReferences location.id
statusinventoryCountStatusrequiredisBlindbooleanrequiredscopeobjectsnapshotAttimestampnotesstringpostedBystringReferences user.id
postedAttimestampcustomFieldsobjectPATCH/inventoryCount
curl --request PATCH \
--url '<your-host>/inventoryCount?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"inventoryCountId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"locationId": "xyz789",
"status": "string",
"isBlind": true,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/inventoryCountDelete a inventory count
Delete a inventory count, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the inventory count to delete, e.g. `eq.{id}`.
DELETE/inventoryCount
curl --request DELETE \
--url '<your-host>/inventoryCount?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content